%global momorel 4
Summary: the Simple WATCHdog
Name: swatch
Version: 3.0.8
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://www.oit.ucsb.edu/~eta/swatch/
#Source0: ftp://ftp.stanford.edu/general/security-tools/swatch/swatch-%{version}.tar.gz
Source0: http://keihanna.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Source1: swatch.conf
Source2: swatch.init
Patch0: swatch-daemon.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPrereq: perl >= 5.8.2
BuildPrereq: perl-Date-Calc
BuildPrereq: perl-File-Tail
BuildPrereq: perl-Time-Date

%description
Swatch was originally written to actively monitor messages as they are
written to a log file via the UNIX syslog utility.

%prep
%setup -n swatch-%{version} -q
%patch -p0
%build
perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
install -m600 %{SOURCE1} %{buildroot}/etc/
install -m755 %{SOURCE2} %{buildroot}%{_initscriptdir}/swatch
rm -f %{buildroot}%{perl_sitearch}/auto/swatch/.packlist

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add swatch

%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del swatch
  # Remove init script of privouis file name.
  if [ -e %{_initscriptdir}/swatch.init ] ; then
    /sbin/chkconfig --del swatch.init  > /dev/null 2>&1
  fi
fi

%files
%defattr(-, root, root)
/usr/bin/*
%{_mandir}/man1/*
%config(noreplace) /etc/swatch.conf
%{_initscriptdir}/swatch

%doc CHANGES COPYING COPYRIGHT KNOWN_BUGS README README.Y2K 
%doc examples

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.0.8-4m)
- remove Epoch from BuildPrereq

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.8-3m)
- stop daemon

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.8-2m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.8-1m)
- rebuild against perl-5.8.2
- update to 3.0.8
- change Source0 URI

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.4-11m)
- rebuild against perl-5.8.0

* Wed Mar  6 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.0.4-10k)
- treat /etc/swatch.conf as %config

* Mon Dec 10 2001 Tsutomu Yasuda <tom@kondara.org>
- (3.0.4-8k)
  fix preun script

* Mon Dec 10 2001 Motonobu Ichimura <famao@kondara.org>
- (3.0.4-6k)
- added swatchd-daemon.patch

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (3.0.4-4k)
- comment out %chkconfig

* Thu Nov  8 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.0.4-2k)
- change URI of Source0

* Sat Oct 27 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.0.3-2k)
- BuildArch: noarch
- remove .packlist
- rename initscript to swatch

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Wed Sep 12 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.0.1-10k)
- fix a problem in init file (Thanks to seki <m.seki@fcs.fujitsu.com>)

* Sat May  5 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (3.0.1-8k)
- add perl-Time-Date to Requires:

* Sun Apr 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0.1-6k)
- add %preun section

* Mon Apr 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0.1-4k)
- modified boot script...

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0.1-2k)
- errased swatch.manfix.patch and modified spec file for compatibility

* Wed Nov 29 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- use perl_archlib & perl_sitearch macro

* Tue Nov 28 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d to %{_initscriptdir}.

* Fri Mar 11 2000 Motonobu Ichimura <famao@kondara.org>
- fix .packlist problem

* Fri Feb 4 2000 Kyoichi Ozaki <k@afromania.org>
- 1st release
